Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452855 - up2date updates package.noarch on i386 system even when --arch=x86_64
Summary: up2date updates package.noarch on i386 system even when --arch=x86_64
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date
Version: 4.7
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Pradeep Kilambi
QA Contact: Fanny Augustin
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-25 13:37 UTC by Michal Nowak
Modified: 2013-03-08 02:04 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-05-18 20:13:12 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:0972 normal SHIPPED_LIVE up2date bug fix update 2009-05-18 13:42:03 UTC

Description Michal Nowak 2008-06-25 13:37:43 UTC
Description of problem:

Have outdated package and update one in channel/repo. Issue command

    up2date --arch=x86_64 rhnlib

and the package is going to be updated. This happens only for updating, not
installing.



[root@xen65 ~]# rpmquery rhnlib
rhnlib-2.1.1-3.el4

[root@xen65 ~]# up2date --arch=x86_64 rhnlib

Fetching Obsoletes list for channel: rhel-i386-as-4...
########################################

Fetching rpm headers...
########################################

Name                                    Version        Rel
----------------------------------------------------------
rhnlib                                  2.1.1          9.el4_6           noarch


Testing package set / solving RPM inter-dependencies...
########################################
rhnlib-2.1.1-9.el4_6.noarch ########################## Done.
Preparing              ########################################### [100%]

Installing...
   1:rhnlib                 ########################################### [100%]




[Wed Jun 25 14:47:46 2008] up2date updating login info
[Wed Jun 25 14:47:46 2008] up2date logging into up2date server
[Wed Jun 25 14:47:49 2008] up2date successfully retrieved authentication token
from up2date server
[Wed Jun 25 14:47:49 2008] up2date availablePackageList from network
[Wed Jun 25 14:49:41 2008] up2date installing packages: ['rhnlib-2.1.1-9.el4_6']
[Wed Jun 25 14:49:43 2008] up2date Removing packages from package profile:
['rhnlib-2.1.1-3.el4'][Wed Jun 25 14:49:44 2008] up2date Adding packages to
package profile: ['rhnlib-2.1.1-9.el4_6']
[Wed Jun 25 14:49:46 2008] up2date deleting
/var/spool/up2date/rhnlib-2.1.1-9.el4_6.noarch.hdr
[Wed Jun 25 14:49:46 2008] up2date deleting
/var/spool/up2date/rhnlib-2.1.1-9.el4_6.noarch.rpm


[root@xen65 ~]# uname -a
Linux xen65.englab.brq.redhat.com 2.6.9-67.ELxenU #1 SMP Wed Nov 7 14:19:15 EST
2007 i686 i686 i386 GNU/Linux


Version-Release number of selected component (if applicable):
4.7.1-17.el4 (have seen it in 4.6.2 too)

How reproducible: always


Steps to Reproduce:
1. run specified command on package which is outdated in the system
  
Actual results:

installed "right-arch" package

Expected results:

"x86_64" pkg was not found in channels

Comment 1 Michal Nowak 2008-07-22 12:38:59 UTC
> This happens only for updating, not installing.

Question is:
Why is this behavior for updating but NOT installing?

Comment 13 errata-xmlrpc 2009-05-18 20:13:12 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0972.html


Note You need to log in before you can comment on or make changes to this bug.